//=====================================================================================================================
//
// Unnamed Realtime Ray Tracer - Copyright by Jyrki Friedrich. All rights reserved.
// You are free to use Unnamed Realtime Ray Tracer for non-commercial purposes.
// for all other projects: mail t4rj4n@gmail.com
//
//=====================================================================================================================

#ifndef SETTINGS_H_
#define SETTINGS_H_

class Settings
{
public:
	enum LightingModelType
		{
			Flat = 0,
			Lambert = 1,
			Phong = 2
		};
	enum LightsModelType
		{
			OneStatic,
			TwoStatic,
			OneCamera
		};

	static LightingModelType LightingModel;
	static bool ShadowTracing;
	static bool PathTracing;
	static int PathTracingSamples;
	static bool BackFaceCulling;
	static LightsModelType LightsModel;
};

#endif /* #endif /* SAMPLER_H_ */ */